1. Ronshipman's Avatar
    I don't see any possible way. Everytime I download 3.1.3 from a site it can't finalize because it says a new version of Itunes it out. I have a 3Gs that came with 3.1.3 and now I'm stuck with 4.0.... Any possible way at all to downgrade back to 3.1.3?
    06-22-2010 06:06 PM
  2. big9erfan's Avatar
    Unless you were jailbroken on 3.1.3, you're stuck on 4.0.
    06-22-2010 06:08 PM
  3. Ronshipman's Avatar
    Unless you were jailbroken on 3.1.3, you're stuck on 4.0.
    That's a bunch of crap. my phone works better on 3.1.3.. Why are Apple such dicks? I mean we pay for the phones and alot for the service ATT. What the hell?
    06-22-2010 06:09 PM
  4. cardfan's Avatar
    My 3GS has one big task left. Killing time in line on thursday. Don't need upgrade to 4.0 problems screwing that up.
    06-22-2010 06:17 PM
  5. Hack-My-i's Avatar
    ok so im JB on 3.1.3 and want to restore and re-JB to stay with 3.1.3, what must i do?
    06-22-2010 06:30 PM
  6. big9erfan's Avatar
    ok so im JB on 3.1.3 and want to restore and re-JB to stay with 3.1.3, what must i do?
    did you tap "Make My Life Easier" in Cydia?
    06-22-2010 06:31 PM
  7. Hack-My-i's Avatar
    did you tap "Make My Life Easier" in Cydia?
    yes sir i did
    06-22-2010 06:42 PM
  8. ghostface147's Avatar
    I don't see any possible way. Everytime I download 3.1.3 from a site it can't finalize because it says a new version of Itunes it out. I have a 3Gs that came with 3.1.3 and now I'm stuck with 4.0.... Any possible way at all to downgrade back to 3.1.3?
    Odd. I used 9.2 iTunes to restore my GM build to 3.1.3. I had to set my phone to DFU mode and choose restore. It failed with an error message at the end, but using irecovery and a few terminal commands got it working 100%. I was still left with the modem firmware of 4.0, but not a big deal.

    So my question is, what did you do wrong that I didn't?
    06-22-2010 06:43 PM
  9. Mrjr's Avatar
    My 3GS has one big task left. Killing time in line on thursday. Don't need upgrade to 4.0 problems screwing that up.
    Same. I keep wanting to go 4.0, especially now that it's JB, but it's my internet right now, and if I want to rely on that...

    I'll miss the curved back though...
    06-22-2010 08:50 PM
LINK TO POST COPIED TO CLIPBOARD